Anonymous Login Frama-C issues should now be submitted on Frama-C's GitLab
2021-03-06 02:56 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000882Frama-CKernelpublic2014-02-12 16:59
Reporteryakobowski 
Assigned Toyakobowski 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000882: Cil generates incorrect switch (with missing cases)
Descriptionframa-c -check crashes on the following code. This is a regression from Boron.

void main () {
  int r;
  switch(1) {
  case 2:
    r = (int) f(1);
    break;
  default:
    break;
  }
}
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002019

yakobowski (manager)

The bug is in the removal of trivial UnspecifiedSequence in Cabs2Cil. The code uses a Cil_datatype.Stmt.Hashtbl, but in Cabs2Cil all sid seem to be -1.

I will use an association list instead, but there are obvious efficiency concerns. Also, I'm not sure (==) is correct at this stage. Virgile, it seems you wrote the original code, can you check the patch?

~0004767

yakobowski (manager)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2011-07-06 23:11 yakobowski New Issue
2011-07-07 00:26 yakobowski Note Added: 0002019
2011-07-07 00:26 yakobowski Assigned To => virgile
2011-07-07 00:26 yakobowski Status new => resolved
2011-07-07 00:34 svn
2011-07-07 00:34 svn Resolution open => fixed
2011-09-07 17:00 signoles Relationship added related to 0000912
2011-09-07 18:26 yakobowski Relationship deleted related to 0000912
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2013-12-19 01:12 yakobowski Source_changeset_attached => framac master 277030a4
2014-02-12 16:54 yakobowski Source_changeset_attached => framac stable/neon 277030a4
2014-02-12 16:59 yakobowski Note Added: 0004767
2014-02-12 16:59 yakobowski Assigned To virgile => yakobowski
2014-02-12 16:59 yakobowski Status closed => resolved
+Issue History